package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.*;


import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;

import com.fasterxml.jackson.annotation.JsonBackReference;
import javax.validation.constraints.NotNull;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class StrukResepVOVO
 * 
 * @author Generator
 */
public class StrukResepVO  extends BaseTransactionVO{
	private AntrianPasienDiPeriksaVO pasien;
	@Column(name = "NoResep", nullable = false , length = 100)
	 @Caption(value = "NoResep")
	private String noResep ;
	public String getNoResep() {
		return noResep ;
	}
	public void setNoResep(String noResep ) {
		this.noResep  = noResep ;
	}

	@Column(name = "TglResep", nullable = false , length = 100)
	 @Caption(value = "TglResep")
	private Date tglResep ;
	public Date getTglResep() {
		return tglResep ;
	}
	public void setTglResep(Date tglResep ) {
		this.tglResep  = tglResep ;
	}

@ManyToOne
	 @JoinColumn(name = "PenulisResepFk")
	 @NotNull(message = "Penulis Resep Harus Diisi")
	 @Caption(value = "Penulis Resep")
	private PegawaiVO penulisResep;
	public PegawaiVO getPenulisResep() {
		return penulisResep;
	}
	public void setPenulisResep(PegawaiVO penulisResep) {
		this.penulisResep = penulisResep;
	}
	public AntrianPasienDiPeriksaVO getPasien() {
		return pasien;
	}
	public void setPasien(AntrianPasienDiPeriksaVO pasien) {
		this.pasien = pasien;
	}

	@Column(name = "PenulisResepFk", insertable=false,updatable=false)
	private Integer penulisResepId;


}